Public Member Functions
CICEAttributeDataArrayCustomType Class Reference

## Detailed Description

This class is a specialization of CICEAttributeDataArray to give access to the ICEAttribute data as a 1D array of type siICENodeDataCustomType. CICEAttributeDataArrayCustomType objects are read-only and can be filled with the methods supplied with the ICEAttribute class.

Note:
  Data of type siICENodeDataCustomType can be created with custom ICENodes.

See also:
  ICEAttribute::GetDataArray, ICEAttribute::GetDataArrayChunk, CICEAttributeDataArray2DCustomType, Type Definitions for CICEAttributeDataArray

Since:
  8.0 (2010)

Example:
  This example demonstrates how to iterate over the siICENodeDataCustomType attributes on a geometry. Check out the SDK InspectICEAttributes sample for a more detailed example.

              using namespace XSI;

              Application app;
              X3DObject x3dObj = app.GetSelection().GetItem(0);
              ICEAttribute attr = x3dObj.GetActivePrimitive().GetGeometry().GetICEAttributeFromName( L"SomeCustomDataTypeAttribute" );

              // Log the data pointer address and size of data.
              CICEAttributeDataArrayCustomType customData;
              attr.GetDataArray( customData );

              for( ULONG i=0; i<customData.GetCount( ); i++ )
              {
                  ULONG nSize;
                  const CICEAttributeDataArrayCustomType::TData* pBuffer;
                  customData.GetData( i, &pBuffer, nSize );

                  app.LogMessage( CString( (void*)pBuffer ) + L":" + CString( nSize ) );
              }

`#include <xsi_iceattributedataarray.h>`

Inheritance diagram for CICEAttributeDataArrayCustomType:
[legend]

List of all members.

## Public Member Functions
SICPPSDK_INLINE | CICEAttributeDataArrayCustomType ()
SICPPSDK_INLINE | ~CICEAttributeDataArrayCustomType ()
SICPPSDK_INLINE CStatus | GetData (ULONG in_nIndex, const TData **out_ppData, ULONG &out_nSize) const

## Constructor & Destructor Documentation

SICPPSDK_INLINE CICEAttributeDataArrayCustomType | ( |  | ) | `[inline]`

Default Constructor.

SICPPSDK_INLINE ~CICEAttributeDataArrayCustomType | ( |  | ) | `[inline]`

Destructor.

## Member Function Documentation

CStatus GetData | ( | ULONG | in_nIndex,
|  | const TData ** | out_ppData,
|  | ULONG & | out_nSize
| ) |  | const

Returns a pointer to the user data stored at a specific index. The data is read-only and cannot be modified.

Note:
  The memory allocated for the data returned by CICEAttributeDataArrayCustomType::GetData is only available within the scope of this CICEAttributeDataArrayCustomType instance. Make sure to make a copy of the data if you need to access it outside the scope of CICEAttributeDataArrayCustomType.

Parameters:

  in_nIndex | Array index of the user data to retrieve. The size is 0 if no data is stored at this index.

Return values:

  out_ppData | Read-only pointer to the data.
  out_nSize | Size in bytes of the user data.

Returns:
  Success/failure

The documentation for this class was generated from the following file:

- xsi_iceattributedataarray.h